summaryrefslogtreecommitdiffstats
path: root/source/xap/xpdf
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2011-04-25 13:37:00 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:45:18 +0200
commit75a4a592e5ccda30715f93563d741b83e0dcf39e (patch)
tree502f745607e77a2c4386ad38d818ddcafe81489c /source/xap/xpdf
parentb76270bf9e6dd375e495fec92140a79a79415d27 (diff)
downloadcurrent-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.gz
current-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.xz
Slackware 13.37slackware-13.37
Mon Apr 25 13:37:00 UTC 2011 Slackware 13.37 x86_64 stable is released! Thanks to everyone who pitched in on this release: the Slackware team, the folks producing upstream code, and linuxquestions.org for providing a great forum for collaboration and testing. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. As always, thanks to the Slackware community for testing, suggestions, and feedback. :-) Have fun!
Diffstat (limited to 'source/xap/xpdf')
-rw-r--r--source/xap/xpdf/patches/xpdf-3.02pl5.patch41
-rw-r--r--source/xap/xpdf/patches/xpdf-3.02pl6.patch1
-rw-r--r--source/xap/xpdf/slack-desc2
-rwxr-xr-xsource/xap/xpdf/xpdf.SlackBuild8
4 files changed, 48 insertions, 4 deletions
diff --git a/source/xap/xpdf/patches/xpdf-3.02pl5.patch b/source/xap/xpdf/patches/xpdf-3.02pl5.patch
new file mode 100644
index 000000000..558eac554
--- /dev/null
+++ b/source/xap/xpdf/patches/xpdf-3.02pl5.patch
@@ -0,0 +1,41 @@
+*** xpdf-3.02.orig/xpdf/Gfx.cc Tue Feb 27 14:05:52 2007
+--- xpdf-3.02/xpdf/Gfx.cc Mon Oct 11 15:39:52 2010
+***************
+*** 461,466 ****
+--- 461,467 ----
+ baseMatrix[i] = state->getCTM()[i];
+ }
+ formDepth = 0;
++ parser = NULL;
+ abortCheckCbk = abortCheckCbkA;
+ abortCheckCbkData = abortCheckCbkDataA;
+
+***************
+*** 500,505 ****
+--- 501,507 ----
+ baseMatrix[i] = state->getCTM()[i];
+ }
+ formDepth = 0;
++ parser = NULL;
+ abortCheckCbk = abortCheckCbkA;
+ abortCheckCbkData = abortCheckCbkDataA;
+
+*** xpdf-3.02.orig/fofi/FoFiType1.cc Tue Feb 27 14:05:51 2007
+--- xpdf-3.02/fofi/FoFiType1.cc Mon Oct 11 15:44:13 2010
+***************
+*** 224,230 ****
+ code = code * 8 + (*p2 - '0');
+ }
+ }
+! if (code < 256) {
+ for (p = p2; *p == ' ' || *p == '\t'; ++p) ;
+ if (*p == '/') {
+ ++p;
+--- 224,230 ----
+ code = code * 8 + (*p2 - '0');
+ }
+ }
+! if (code >= 0 && code < 256) {
+ for (p = p2; *p == ' ' || *p == '\t'; ++p) ;
+ if (*p == '/') {
+ ++p;
diff --git a/source/xap/xpdf/patches/xpdf-3.02pl6.patch b/source/xap/xpdf/patches/xpdf-3.02pl6.patch
new file mode 100644
index 000000000..b36491020
--- /dev/null
+++ b/source/xap/xpdf/patches/xpdf-3.02pl6.patch
@@ -0,0 +1 @@
+# There is not a patch 6... just a recompile without t1lib
diff --git a/source/xap/xpdf/slack-desc b/source/xap/xpdf/slack-desc
index 164302aa7..58072776f 100644
--- a/source/xap/xpdf/slack-desc
+++ b/source/xap/xpdf/slack-desc
@@ -12,7 +12,7 @@ xpdf: Xpdf is a viewer for Portable Document Format (PDF) files.
xpdf:
xpdf: xpdf was written by Derek B. Noonburg.
xpdf:
-xpdf: The xpdf package requires the t1lib package to render Type 1 fonts.
+xpdf:
xpdf:
xpdf:
xpdf:
diff --git a/source/xap/xpdf/xpdf.SlackBuild b/source/xap/xpdf/xpdf.SlackBuild
index 5acf7c06e..b19b3aca7 100755
--- a/source/xap/xpdf/xpdf.SlackBuild
+++ b/source/xap/xpdf/xpdf.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,8 +22,8 @@
VERSION=3.02
-PATCHLEVEL=pl4
-BUILD=${BUILD:-2}
+PATCHLEVEL=pl6
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -75,6 +75,7 @@ cat $CWD/patches/xpdf-3.02pl1.patch | patch -p1 --verbose || exit 1
cat $CWD/patches/xpdf-3.02pl2.patch | patch -p1 --verbose || exit 1
cat $CWD/patches/xpdf-3.02pl3.patch | patch -p1 --verbose || exit 1
cat $CWD/patches/xpdf-3.02pl4.patch | patch -p1 --verbose || exit 1
+cat $CWD/patches/xpdf-3.02pl5.patch | patch -p1 --verbose || exit 1
zcat $CWD/patches/xpdf_3.02-1.3.diff.gz | patch -p1 --verbose || exit 1
zcat $CWD/patches/xpdfrc.diff.gz | patch -p1 --verbose || exit 1
@@ -87,6 +88,7 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--with-gzip \
--with-freetype2-includes=/usr/include/freetype2 \
+ --without-t1-library \
--build=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1